//
//  NSIndexPath+NSArray.m
//
//  Created by Johnnie Walker on 29/10/2008.
//  Public Domain
//

#import "NSIndexPath+NSArray.h"

@implementation NSIndexPath (Array)
+ (NSIndexPath *)indexPathWithIndexes:(NSArray *)indexes
{
	return [[[NSIndexPath alloc] initWithIndexes:indexes] autorelease];
}

- (NSIndexPath *)initWithIndexes:(NSArray *)indexes
{
	NSUInteger idx[[indexes count]];
	for (NSInteger i=0; i<[indexes count]; i++) {
		idx[i] = [[indexes objectAtIndex:i] integerValue];		
	}
	
	return [self initWithIndexes:idx length:[indexes count]];
}

- (NSArray *)allIndexes
{
	NSMutableArray *indexes = [NSMutableArray arrayWithCapacity:[self length]];
	for (NSInteger i=0; i<[self length]; i++) {
		[indexes addObject:[NSNumber numberWithInteger:[self indexAtPosition:i]]];
	}
	return [[indexes copy] autorelease];
}
@end
